<?php

/**
 * @file
 * Default theme implementation to display an iCal event.
 *
 * Available variables:
 * @var string $uid  A unique identifier for the event.
 * @var string $start  The start date of the event (yyyymmdd).
 * @var string $end  The end date of the event (yyyymmdd).
 * @var string $summary  A summary of the event (free format).
 *
 * If you are editing this file, remember that all output lines generated by it
 * must end with DOS-style \r\n line endings, and not Unix-style \n, in order to
 * be compliant with the iCal spec.
 *
 * @see http://tools.ietf.org/html/rfc5545#section-3.1
 *
 * @ingroup themeable
 */
$eol = "\r\n";
print "BEGIN:VEVENT$eol";
print "UID:$uid$eol";
print "DTSTART:VALUE=DATE:$start$eol";
print "DTEND:VALUE=DATE:$end$eol";
print "SUMMARY:$summary$eol";
print "END:VEVENT$eol";
